qnode: &qnode
  type: qnode
  properties:
    bmv2_json: ./examples/mhp/p4/qnode.json
    nports: 1

midpoint: &midpoint
  type: midpoint
  properties:
    bmv2_json: ./examples/mhp/p4/midpoint.json
    nports: 2

connection: &connection
  type: combined_connection
  properties:
    distance: 2.74e-3

components:

  RA:
    << : *qnode

  RB:
    << : *qnode

  MP:
    << : *midpoint

  conn_a:
    << : *connection
    ports:
      ACl:
        remote: RA
        port: "1"
      AQu:
        remote: RA
        port: "257"

      BCl:
        remote: MP
        port: "1"
      BQu:
        remote: MP
        port: "257"

  conn_b:
    << : *connection
    ports:
      ACl:
        remote: RB
        port: "1"
      AQu:
        remote: RB
        port: "257"
      BCl:
        remote: MP
        port: "2"
      BQu:
        remote: MP
        port: "258"
